Bug 624240 - No cell directory
Summary: No cell directory
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gridengine   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-15 04:47 UTC by patrick.cf.lee
Modified: 2010-08-26 04:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-25 18:09:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description patrick.cf.lee 2010-08-15 04:47:43 UTC
Description of problem: No cell directory 


Version-Release number of selected component (if applicable):gridengine-6.2u5-2.fc13


How reproducible: Always


Steps to Reproduce:
1. gconf -sql
2.
3.
  
Actual results:
error: cell directory "usr/share/gridengine/default" doesn't exist

Expected results:
A list of all queues on the host

Additional info:
rpm -ql gridengine
indicates that the above directory SHOULD be installed. However, this directory has never been created during the installation.

Comment 1 Orion Poplawski 2010-08-25 18:09:40 UTC
That directory is %ghost in the rpm, as it will likely (though not necessarily) created.  You need to first install the master and then copy the needed files somehow to the execution hosts.  See /usr/share/doc/gridengine-6.2u5/README for details.

However, note that installing the qmaster is broken at the moment.  I'm working on a new build to fix.  See bug #557628.

Comment 2 patrick.cf.lee 2010-08-26 02:49:55 UTC
One day after I submitted the above "bug", I have installed and set up the SQE successfully.
The only thing I would just for this issue is:

The information obtained by rpm -qi gridengine (and also the reply from Orion Poplawski) should be more specified: "install qmaster" should be rephrased
as "install gridengine-qmaster".

I have used "yum install qmaster" before I submitted the above "bug", but the RedHat/Fedora mirror sites reported that there is no such package, and I thought the qmaster SHOULD be included in the package gridengine.

I cannot remember how I found out the package gridengine-qmaster.(In reply to comment #1)
> That directory is %ghost in the rpm, as it will likely (though not necessarily)
> created.  You need to first install the master and then copy the needed files
> somehow to the execution hosts.  See /usr/share/doc/gridengine-6.2u5/README for
> details.
> However, note that installing the qmaster is broken at the moment.  I'm working
> on a new build to fix.  See bug #557628.

Comment 3 Orion Poplawski 2010-08-26 04:42:39 UTC
Latest README does state "install gridengine-qmaster".  I've updated the main package description in git to hopefully be more informative.  Will make it out with the next update.


Note You need to log in before you can comment on or make changes to this bug.